# MPI_File_get_amode

Returns the file access mode

## Synopsis

    int MPI_File_get_amode(MPI_File fh, int *amode)

## Input Parameters

fh
  file handle (handle)

## Output Parameters

amode
  access mode (integer)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.